package com.snowchen.snglfx17;
import java.io.BufferedReader;
import java.io.InputStreamReader;
import java.io.IOException;

import java.util.Map;
import java.util.UUID;
import org.to2mbn.jmccc.auth.AuthenticationException;
import org.to2mbn.jmccc.auth.yggdrasil.core.GameProfile;
import org.to2mbn.jmccc.auth.yggdrasil.core.PropertiesGameProfile;
import org.to2mbn.jmccc.auth.yggdrasil.core.texture.Texture;
import org.to2mbn.jmccc.auth.yggdrasil.core.texture.TextureType;
import org.to2mbn.jmccc.auth.yggdrasil.core.yggdrasil.YggdrasilProfileServiceBuilder;
import org.to2mbn.jmccc.auth.yggdrasil.core.ProfileService;
import org.to2mbn.jmccc.auth.yggdrasil.core.texture.Textures;
public class Test {

        public static void main(String[] args) throws AuthenticationException {
            ProfileService profileService = YggdrasilProfileServiceBuilder.buildDefault();

            // 查询ztcjohn的uuid
            UUID uuid = profileService.lookupGameProfile("Misuke").getUUID();
            System.out.println(uuid);

            // 根据uuid获取GameProfile
            // 注意啦！假如lookupUUIDByName没找到对应玩家就会返回null。我这里因为是演示所以偷懒不做判断，大家写的时候记得一定要判断一下
            GameProfile profile = profileService.getGameProfile(uuid);

            // 获取GameProfile的皮肤
            // 同上，假如getGameProfile没找到对应玩家就会返回null。我这里是偷懒，大家写的时候千万不要学
            Map<TextureType, Texture> textures = profileService.getTextures((PropertiesGameProfile) profile);
            System.out.println(textures);
        }

    }

